#ifndef XFXELEMMARKVISUALS_H
#define XFXELEMMARKVISUALS_H

#include "xasset.h"
#include "xmaterial.h"

#include <QVector2D>

class XFxElemMarkVisuals : public XAsset
{
public:
    explicit XFxElemMarkVisuals();
    ~XFxElemMarkVisuals();

    void Clear() override;
    void ParseData(QDataStream *aStream) override;

private:
    QVector<qint32> mMaterialPtrs;
    QVector<XMaterial> mMaterials;
};

#endif // XFXELEMMARKVISUALS_H
